List Engage lists for account
curl --request GET \
--url https://app.forecastable.com/api/v1/accounts/{accountId}/engage/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.forecastable.com/api/v1/accounts/{accountId}/engage/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.forecastable.com/api/v1/accounts/{accountId}/engage/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"accountRelationshipStatuses": [
"<string>"
],
"accountTags": [
"<string>"
],
"accountTagCategories": [
"<string>"
],
"engagementStatuses": [
"<string>"
],
"accountOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sourcePersona": [
"<string>"
],
"memberCount": 1,
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"hasNextPage": true,
"totalCount": 1,
"nextCursor": "<string>",
"page": 2,
"pageSize": 2,
"totalPages": 2
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Lists
List Engage lists for account
Lists that target the account directly or through dynamic criteria.
GET
/
accounts
/
{accountId}
/
engage
/
lists
List Engage lists for account
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Was this page helpful?
⌘I